Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 04-17-12, 01:26 AM   #1
Plagman
NVIDIA Corporation
 
Plagman's Avatar
 
Join Date: Sep 2007
Posts: 254
Default Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS cards

We have been made aware of an interaction problem between the fix contained in the newest release any any card with a chip older than G80, inclusive. This includes the full GeForce 6 and 7 series as well as GeForce 8800GTX and first-gen 8800GTS. We are actively working on resolving this issue and will provide an update as soon as possible.

The symptoms can include graphical corruption, performance issues, crashes and temporary hangs.

The release should be perfectly safe to use with more recent cards than that; I'll update this thread ASAP.

Thanks,
- Pierre-Loup
Plagman is offline   Reply With Quote
Old 04-17-12, 07:29 AM   #2
CuChullain
Irreverent Heathen
 
CuChullain's Avatar
 
Join Date: Aug 2006
Location: NSW - Australia. Near a lot of hippies
Posts: 21
Default Re: Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS c

I have a 9500gt and the performance issue affects it. GKRellm proc meter is always maxed, games in wine are a slideshow and gui is sluggish, so it's not just G80 and older but I'm happy to wait and see if fixing those, fix mine.
__________________
Jeremiah 8:8 (New International Version)
'How can you say, "We are wise, for we have the law of the LORD," when actually the lying pen of the scribes has handled it falsely?'
CuChullain is offline   Reply With Quote
Old 04-17-12, 09:19 AM   #3
Plagman
NVIDIA Corporation
 
Plagman's Avatar
 
Join Date: Sep 2007
Posts: 254
Default Re: Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS c

We found that in some cases, flipping had interaction problems with the changes we've made. People running G80 cards or lower affected by temporary hangs and general performance problems should try disallowing flipping by using the NoFlip X configuration option as described there:

ftp://download.nvidia.com/XFree86/Li...ns.html#NoFlip
ftp://download.nvidia.com/XFree86/Li...ippingubb.html

Thanks,
- Pierre-Loup
Plagman is offline   Reply With Quote
Old 04-17-12, 10:18 AM   #4
viciousMinion
Registered User
 
Join Date: Apr 2012
Posts: 4
Default Re: Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS c

I disabled flipping as instructed, to no discernible improvement. GLXGears is currently running at ~6fps. I'm using an Nvidia Geforce 6150m, before 295.40 I got at minimum 5x that. Let me know if you need more feedback/info.
viciousMinion is offline   Reply With Quote
Old 04-17-12, 10:24 AM   #5
twau
Arch Linux
 
Join Date: Apr 2012
Location: ~
Posts: 2
Default Re: Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS c

Also tried it, no luck for me either.

01:00.0 VGA compatible controller: NVIDIA Corporation G80 [GeForce 8800 GTS] (rev a2)
twau is offline   Reply With Quote
Old 04-17-12, 10:34 AM   #6
Plagman
NVIDIA Corporation
 
Plagman's Avatar
 
Join Date: Sep 2007
Posts: 254
Default Re: Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS c

twau, what are your symptoms and specific configuration? Everyone, please make sure to attach nvidia-bug-report.logs as per the sticky instructions after running into the symptoms you describe.
Plagman is offline   Reply With Quote
Old 04-17-12, 11:22 AM   #7
viciousMinion
Registered User
 
Join Date: Apr 2012
Posts: 4
Default Re: Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS c

My apologies

nvidia-bug-report.log.gz
viciousMinion is offline   Reply With Quote
Old 04-17-12, 11:30 AM   #8
Plagman
NVIDIA Corporation
 
Plagman's Avatar
 
Join Date: Sep 2007
Posts: 254
Default Re: Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS c

People running into issues with 295.40, can you please apply the security patch to the 295.33 driver as per the following instructions and test if it exhibits the same problem? This would help us narrow down the root cause of the problem to either the security fix or another change that happened between the .33 and .40 releases; thanks in advance.

ftp://download.nvidia.com/XFree86/pa...CVE-2012-0946/
Plagman is offline   Reply With Quote

Old 04-17-12, 12:25 PM   #9
viciousMinion
Registered User
 
Join Date: Apr 2012
Posts: 4
Default Re: Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS c

I personally cannot, as this is a production machine, but from what people have been saying over at the Archlinux forums

https://bbs.archlinux.org/viewtopic.php?id=139535

The patch on 295.33 degrades performance just the same as 295.40.

*UPDATE*
SEE NEXT POST
(If you want something done right...)
viciousMinion is offline   Reply With Quote
Old 04-17-12, 03:38 PM   #10
viciousMinion
Registered User
 
Join Date: Apr 2012
Posts: 4
Default Re: Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS c

Okay,
updated info-

For posterity's sake, I ran GLXGears on 295.40 and got ~6 FPS again
I downloaded and ran the old 295.33 and ran GLXGears- I got ~1530 FPS.
I then downloaded the patch and applied it to 295.33. Lo and behold: ~1535 FPS with GLXGears.

I apologize for the misinformation earlier. 295.33 with the patch works perfectly. 295.40's security patch is not the cause for the performance degradation.

Logs attached.

Cheers,
ViciousMinion


nvidia-bug-report.log-295.33-patched.gz

nvidia-bug-report-295.33.log.gz

nvidia-bug-report-295.40.log.gz
viciousMinion is offline   Reply With Quote
Old 04-17-12, 03:43 PM   #11
Plagman
NVIDIA Corporation
 
Plagman's Avatar
 
Join Date: Sep 2007
Posts: 254
Default Re: Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS c

Thanks, that's helpful.
Plagman is offline   Reply With Quote
Old 04-18-12, 01:38 AM   #12
twau
Arch Linux
 
Join Date: Apr 2012
Location: ~
Posts: 2
Default Re: Please do not use 295.40 or the security patch with GeForce 6, 7 or 8800GTX/GTS c

I have also patched my 295.33 now, my glxgears is running normal with the security patch applied, which is good.
The only game I have available and I can try the patch with is Diablo 3 Beta build.

Without the security patch I have around 20-45 FPS.
With Security patch I have max 6-8 FPS max.

I know that the game is not a good reference, since it is beta and not even supported for linux. But I just wanted to mention it since something seems to happen with the graphic performance even if it is just a security patch. Users on the arch-forum also mentioned they still had problem with the patched 295.33. (https://bbs.archlinux.org/viewtopic.php?id=139535)
Attached Files
File Type: gz nvidia-bug-report.log.gz (39.7 KB, 127 views)
twau is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 01:42 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.